Subject: bug#71411: 30.0.50; Show Unicode names when describing translations

From: Robert Pluim <[email-masked]>
Date: Fri, 07 Jun 2024 16:25:12 +0200

>>>>> On Fri, 07 Jun 2024 16:01:41 +0200, Stephen Berman <[email-masked]> said:

    Stephen> On Fri, 07 Jun 2024 14:16:38 +0200 Robert Pluim <[email-masked]> wrote:
    >>>>>>> On Fri, 07 Jun 2024 14:08:33 +0300, Eli Zaretskii <[email-masked]> said:
    >> 
    Eli> Does this mean that if I type "C-h k a" I will be told that a is LATIN
    Eli> SMALL LETTER A?  That'd be an annoyance, I think.
    >> 
    >> Thatʼs not a translated binding, so no.
    >> 
    >> Let me attach the patches.
    Stephen> [...]
    >> diff --git a/etc/NEWS b/etc/NEWS
    >> index c63e231f44f..66bc4d741ff 100644
    >> --- a/etc/NEWS
    >> +++ b/etc/NEWS
    >> @@ -182,6 +182,20 @@ This user option controls outline visibility in the output buffer of
    >> *** 'C-h m' ('describe-mode') uses outlining by default.
    >> Set 'describe-mode-outline' to nil to get back the old behavior.
    >> 
    >> +*** 'C-h k' ('describe-key') shows Unicode name.
    >> +For translated keys only, this will now show the Unicode name of the
    >> +translation, e.g. 'C-h k C-x 8 E' will now show
    >> +
    >> +    € 'EURO SIGN' (translated from C-x 8 E)

    Stephen> How do you input 'C-h k C-x 8 E'?  I can only input 'C-h k C-x 8 e'.
    Stephen> (Also with 'C-x 8' typing 'E' (i.e. 'S-e') inputs 'e').

Itʼs a binding I added to master on Monday. You can use

'C-h k C-x 8 * E'

instead.

Robert
--